Bug 1032665 - clickable tiles do not support shift+click, ctrl+click, middle click, etc
clickable tiles do not support shift+click, ctrl+click, middle click, etc
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Management Console (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Jordan Liggitt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 09:45 EST by Jordan Liggitt
Modified: 2015-05-14 21:36 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:33:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jordan Liggitt 2013-11-20 09:45:31 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Go to a page with clickable tiles (e.g. domains page)
2. Middle click on the tile link
3. Middle click on the tile background
4. Ctrl+click on the tile link
5. Ctrl+click on the tile background
6. Shift+click on the tile link
7. Shift+click on the tile background

Actual results:
Links either do not open or open in the same page

Expected results:
Links should open in a new page or tab

Additional info:
Comment 1 Jordan Liggitt 2013-11-20 09:51:24 EST
Will merge in https://github.com/openshift/origin-server/pull/4206
Comment 2 Tian Feng 2013-11-21 21:09:41 EST
Waiting for merged code.
Comment 3 openshift-github-bot 2013-11-22 12:48:02 EST
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/2c35214eedba3fc682c4faebf2780e3b543ab280
Fix bug 1032665 - make middle-click work on clickable tiles
Comment 4 Tian Feng 2013-11-24 21:24:27 EST
Test on devenv_4067. I can use middle click to copy & paste from web console. So verify this bug, thanks!

Note You need to log in before you can comment on or make changes to this bug.